part of '../crypto_revolution_masters_api.dart';

class UserModel {
  final String _id;

  String get id => _id;

  final String _email;

  String get email => _email;

  final String _username;

  String get username => _username;

  final String _password;

  String get password => _password;

  UserModel({
    required String id,
    required String email,
    required String username,
    required String password
  }):
   _email = email,
   _id = id,
   _password = password,
   _username = username;
  
  String toJson() => json.encode({
    "username": _username,
    "email": _email,
    "password": _password,
    "id": _id
  });

  factory UserModel.fromJson(String data) {
    var decodeData = json.decode(data) as Map<String, dynamic>;
    return UserModel(
      email: decodeData["email"],
      username: decodeData["username"],
      password: decodeData["password"],
      id: decodeData["id"]
    );
  }
}