// ignore_for_file: non_constant_identifier_names
part of '../crypto_revolution_masters_api.dart';

class PortfolioCoinModel extends CoinModel {

  final num _amount;

  num get amount => _amount;

  final num _amount_in_current_price;

  num get amount_in_current_price => _amount_in_current_price;

  PortfolioCoinModel({
    required String name,
    required String symbol,
    required String image,
    required num current_price,
    required num market_cap,
    required num market_cap_rank,
    required num? fully_diluted_valuation,
    required num? market_cap_change_24h,
    required num ath_change_percentage,
    required num? market_cap_change_percentage_24h,
    required num? high_24h,
    required num? low_24h,
    required num amount,
    required num amount_in_current_price 
  }):
    _amount = amount,
    _amount_in_current_price = amount_in_current_price,
    super(
      name: name,
      symbol: symbol,
      image: image,
      current_price: current_price,
      market_cap: market_cap,
      market_cap_change_24h: market_cap_change_24h,
      market_cap_rank: market_cap_rank,
      fully_diluted_valuation: fully_diluted_valuation,
      high_24h: high_24h,
      low_24h: low_24h,
      ath_change_percentage: ath_change_percentage,
      market_cap_change_percentage_24h: market_cap_change_percentage_24h
    );
}